<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfInitComplete_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfInitComplete_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink RF Init Complete data structure for event RL_RF_AE_INITCALIBSTATUS_SB  
 <a href="structrl_rf_init_complete__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7e67480639b66e74889443a92d84638f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e67480639b66e74889443a92d84638f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#a7e67480639b66e74889443a92d84638f">calibStatus</a></td></tr>
<tr class="memdesc:a7e67480639b66e74889443a92d84638f"><td class="mdescLeft">&#160;</td><td class="mdescRight">RF Calibration Status, bit value: 1 - SUCCESS, 0 - FAILURE <br />
 Bit Calibration <br />
 0 RESERVED <br />
 1 APLL tuning <br />
 2 SYNTH VCO1 tuning <br />
 3 SYNTH VCO2 tuning <br />
 4 LODIST calibration <br />
 5 RX ADC DC offset calibration <br />
 6 HPF cutoff calibration <br />
 7 LPF cutoff calibration <br />
 8 Peak detector calibration <br />
 9 TX Power calibration <br />
 10 RX gain calibration <br />
 11 [Reserved] <br />
 12 RX IQMM calibration <br />
 31:13 [Reserved] <br />
 NOTE - CALIBRATION_STATUS should be <br />
 checked only if CALIBRATION_ENABLE bit <br />
 is set to 1. <br />
. <br /></td></tr>
<tr class="separator:a7e67480639b66e74889443a92d84638f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46bd26f11c0e33a6c167d292be895664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46bd26f11c0e33a6c167d292be895664"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#a46bd26f11c0e33a6c167d292be895664">calibUpdate</a></td></tr>
<tr class="memdesc:a46bd26f11c0e33a6c167d292be895664"><td class="mdescLeft">&#160;</td><td class="mdescRight">this field is set only for updated calibration. It has same bit definition as <br />
 CALIBRATION_STATUS <br />
<br /></td></tr>
<tr class="separator:a46bd26f11c0e33a6c167d292be895664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1021d15eed4dab02205e3fb4355ba760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1021d15eed4dab02205e3fb4355ba760"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#a1021d15eed4dab02205e3fb4355ba760">temperature</a></td></tr>
<tr class="memdesc:a1021d15eed4dab02205e3fb4355ba760"><td class="mdescLeft">&#160;</td><td class="mdescRight">Measured temperature, based on average of temperature sensors near all enabled TX <br />
 and RX channels at the time of calibration. <br />
 1 LSB = 1o Celsius <br />
. <br /></td></tr>
<tr class="separator:a1021d15eed4dab02205e3fb4355ba760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe7ffa3b15c41620ccecea43c7745f8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe7ffa3b15c41620ccecea43c7745f8f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#abe7ffa3b15c41620ccecea43c7745f8f">reserved1</a></td></tr>
<tr class="memdesc:abe7ffa3b15c41620ccecea43c7745f8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:abe7ffa3b15c41620ccecea43c7745f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1a105e0dff78b8d45146704afe9312"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c1a105e0dff78b8d45146704afe9312"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#a9c1a105e0dff78b8d45146704afe9312">timeStamp</a></td></tr>
<tr class="memdesc:a9c1a105e0dff78b8d45146704afe9312"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the calibration updates were performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:a9c1a105e0dff78b8d45146704afe9312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfffd100977ae3c022a4f0adda6b979f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfffd100977ae3c022a4f0adda6b979f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_init_complete__t.html#abfffd100977ae3c022a4f0adda6b979f">reserved2</a></td></tr>
<tr class="memdesc:abfffd100977ae3c022a4f0adda6b979f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:abfffd100977ae3c022a4f0adda6b979f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink RF Init Complete data structure for event RL_RF_AE_INITCALIBSTATUS_SB </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
